### Function

# GLib ByteArray sort_with_data

#### Declaration [src]

    void
    g_byte_array_sort_with_data (
      GByteArray* array,
      GCompareDataFunc compare_func,
      gpointer user_data
    )

#### Description [src]

Like `g_byte_array_sort()`, but the comparison function takes an extra user data argument.

#### Parameters

`array`

  Type: An array of `guint8`

  A byte array.

  The data is owned by the caller of the function.

`compare_func`

  Type: `GCompareDataFunc`

  The comparison function.

`user_data`

  Type: `gpointer`

  The data to pass to `compare_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.